Bug 169424 - list only IMEs specific to user's locale
list only IMEs specific to user's locale
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: FutureFeature, i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2005-09-28 03:20 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-07 19:53:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-09-28 03:20:49 EDT
Description of problem:
Did a full install of scim and noticed that by default all IM gets included in
the menu. Was wondering if it would be more user friendly if only the IM
specific to the locale and english is on the menu by default.

Version-Release number of selected component (if applicable):
scim-1.4.2-4

How reproducible:
Always

Steps to Reproduce:
1.install scim
2.log in with zh_TW locale
3.ctrl space
4.click on the aux window to change input style  

Actual results:
All langs are included on the menu

Expected results:
Only the specified locale and english

Additional info:
Comment 1 Jens Petersen 2005-09-28 04:38:57 EDT
You installed all IMEngines?
Comment 2 Lawrence Lim 2005-09-28 18:59:46 EDT
Yes. I did. Hmm...reflecting back on the comps I saw yesterday. Prolly this is
not a feature request as pinyin and chewing will be installed if it is fixed. :-)
Comment 3 Jens Petersen 2005-09-29 03:31:08 EDT
I guess this really only affects everything installs or systems with
all IMEs installed.  I don't know yet if fc5 anaconda will still support
everything installs.

Though I'm tempted to take this upstream if we really want to address it.
Personally I think it is better to list too much than too little for
new scim users, and probably most users won't install all IMEs.
Comment 4 Qingyu Wang 2005-11-07 11:05:06 EST
Yeah, i think listing all IMEs installed will be more convenient. Especially,
when we input Chinese, sometimes, we need to input Simplified Chinese and
Traditional Chinese at the same time. And now, if users don't like to list all
IMEs on the menu, in the setup panel, users can choose if all IMEs will be
activated in the global setting.
Comment 5 Lawrence Lim 2005-11-07 19:53:41 EST
RE: Comment #3-#4

From both your analysis. I guess both are right, user should choose what they
want to see from the settings.

Note You need to log in before you can comment on or make changes to this bug.